| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # XSFacet Class Reference Inheritance diagram for XSFacet: [legend] List of all members.
## Public Member Functions
Constructors
| XSFacet (XSSimpleTypeDefinition::FACET facetKind, const XMLCh *const lexicalValue, bool isFixed, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSFacet ()
XSFacet methods
XSSimpleTypeDefinition::FACET | getFacetKind () const
| Returns: An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`
const XMLCh * | getLexicalFacetValue () const
| Returns: Returns a value of a constraining facet.
bool | isFixed () const
| Check whether a facet value is fixed.
XSAnnotation * | getAnnotation () const
| Returns: an annotation
## Protected Attributes
XSSimpleTypeDefinition::FACET | fFacetKind
bool | fIsFixed
const XMLCh * | fLexicalValue
XSAnnotation * | fAnnotation
## Constructor & Destructor Documentation
XSFacet::XSFacet | ( | XSSimpleTypeDefinition::FACET | facetKind,
|  | const XMLCh *const | lexicalValue,
|  | bool | isFixed,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |
  The default constructor. Parameters:
  | facetKind |
  | lexicalValue |
  | isFixed |
  | annot |
  | xsModel |
  | manager | The configurable memory manager
XSFacet::~XSFacet | ( |  | ) |
## Member Function Documentation
XSSimpleTypeDefinition::FACET XSFacet::getFacetKind | ( |  | ) | const
Returns: An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`
const XMLCh * XSFacet::getLexicalFacetValue | ( |  | ) | const
Returns: Returns a value of a constraining facet.
bool XSFacet::isFixed | ( |  | ) | const
Check whether a facet value is fixed.
XSAnnotation * XSFacet::getAnnotation | ( |  | ) | const
Returns: an annotation ## Member Data Documentation
XSSimpleTypeDefinition::FACET XSFacet::fFacetKind`[protected]`
bool XSFacet::fIsFixed`[protected]`
const XMLCh* XSFacet::fLexicalValue`[protected]`
XSAnnotation* XSFacet::fAnnotation`[protected]`
The documentation for this class was generated from the following file: XSFacet.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.